PHP5.3がそろそろ終了します。来年の3月で最後の更新です。

http://php.net/archive/2012.php#id2012-12-20-1
Please note that the PHP 5.3 series will enter an end of life cycle and
receive only critical fixes as of March 2013. All users of PHP are
encouraged to upgrade to PHP 5.4.

これは、日本語版osCommerceにとっては死活問題です。
PHPをアップデートができなくなると通販サイトをセキュリティの面で危険な状態で運用することになります。
PHP5.4にバージョンアップしてしまうこともできますが
日本語版のosCommerceのほとんどは動作しません。
5.4にあうように修正したことがありますがかなり大規模な修正が必要です。
このまま運用を続けるか、修正するか、新しいECシステムに乗り換えるか、
いずれにせよ、早めの決断が肝要でしょう。

osCommerceのPHP5.4対応作業をお引き受けしています。
詳細はinfo@www.ynagata.comまでご連絡ください。

 

%d人のブロガーが「いいね」をつけました。